-- Main trigger
trigger = ScriptTrigger()                     -- Create the trigger
trigger:setScript("cutscene.lua")             -- Tell the trigger which script to call
trigger:setFunction("tick")                   -- Tell the trigger which scriptfunction to call
trigger:setActiveOnCreation(true)      

-- Cameraswitchone
triggerOne = ScriptTrigger()
triggerOne:setScript("cutscene.lua")
triggerOne:setFunction("switchCamTargetToEarth")
triggerOne:setAbsCoor(0 , 0 , -50)
triggerOne:setTarget("CameraOne")
triggerOne:setRadius(10)
triggerOne:setDebugDraw(true)


-- Cameraswitchtwo
triggerTwo = ScriptTrigger()
triggerTwo:setScript("cutscene.lua")
triggerTwo:setFunction("switchCamToSpaceship")
triggerTwo:setAbsCoor(0, 0 , 125)
triggerTwo:setTarget("CameraOne")
triggerTwo:setRadius(5)
triggerTwo:setDebugDraw(true)  

-- Cameraswitchthree
triggerThree = ScriptTrigger()
triggerThree:setScript("cutscene.lua")
triggerThree:setFunction("switchCamToStation")
triggerThree:setAbsCoor(-125, 0 , 175)
triggerThree:setTarget("CameraOne")
triggerThree:setRadius(5)
triggerThree:setDebugDraw(true)  

 
-- Get objects from orxonox
thisscript:addObject("CameraMan", "cameraManager")
thisscript:addObject("NPC", "shutleOne")

-- Global Variables
time = 0


-- shutleOne
shutle = { }
--{

 function shutle:tick(timestep)
 if cameraManager:getCurrCameraCoorZ() > 0 then
  coorX = shutleOne:getAbsCoorX()
  coorY = shutleOne:getAbsCoorY()
  coorZ = shutleOne:getAbsCoorZ()
  shutleOne:setAbsCoor(coorX-.06,coorY,coorZ)
 end
 end

 --}



-- Switch cam functions
function switchCamTargetToEarth(timestep)
cameraManager:changeCurrTarget("Planet", "Earth")
return true
end

function switchCamToSpaceship(timestep)
cameraManager:atachCurrCameraToWorldEntity( "NPC", "shutleOne")
return true
end

function switchCamToStation(timestep)
cameraManager:atachCurrCameraToWorldEntity("Building", "zhara")

--cameraManager:detachCurrCamera()
return true
end


-- THE tick function

function tick(timestep)
time = time + timestep

shutle:tick(timestep)

if not cameraSwitched then
cameraManager:setCam("CameraOne")
--cameraManager:atachCurrCameraToWorldEntity("NPC", "shutleOne")
cameraManager:changeCurrTarget("Planet", "Moon")
cameraSwitched = true
end

if time > 4 then
--cameraManager:togglFade()
--return true
end

return false
end 
